Adapters
========

.. module:: gtkmvc.adapters

.. class:: Adapter
   :noindex:
.. class:: UserClassAdapter
   :noindex:
.. class:: RoUserClassAdapter
   :noindex:
.. class:: StaticContainerAdapter
   :noindex:

   These are shortcuts to classes from modules in this package.

Overwriting properties
----------------------

.. module:: gtkmvc.adapters.basic

.. autoclass:: Adapter
    :members:
    :undoc-members:
    :show-inheritance:

Mutating properties
-------------------

.. autoclass:: UserClassAdapter
    :members:
    :undoc-members:
    :show-inheritance:

Modifying immutable properties
------------------------------

.. autoclass:: RoUserClassAdapter
    :members:
    :undoc-members:
    :show-inheritance:

Single Adapter, multiple widgets
--------------------------------

.. automodule:: gtkmvc.adapters.containers
    :members:
    :undoc-members:
    :show-inheritance:

Connecting automatically
------------------------

.. automodule:: gtkmvc.adapters.default
    :members:
    :undoc-members:
    :show-inheritance:

